#2046 closed defect (fixed)

RBTree header files are not C++ compatible

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: gedare@…, petben@… Blocked By:
Blocking:

Description

We have

/opt/rtems-4.11/sparc-rtems4.11/sis/lib/include/rtems/rbtree.inl: In function 'rtems_rbtree_unique rtems_rbtree_is_unique(rtems_rbtree_control*)':
/opt/rtems-4.11/sparc-rtems4.11/sis/lib/include/rtems/rbtree.inl:410:41: error: cannot convert 'bool' to 'rtems_rbtree_unique' in return

Why do we need the type

/

  • @typedef rtems_rbtree_unique *
  • This enum type defines whether the tree can contain nodes with
  • duplicate keys. */

typedef enum {

/ The tree is not unique, insertion of duplicate keys is performed

  • in a FIFO manner. */

RTEMS_RBTREE_DUPLICATE = false,
/ The tree is unique, insertion of duplicate key is refused. */
RTEMS_RBTREE_UNIQUE = true

} rtems_rbtree_unique;

at all? The score RBTree doesn't have it, here we use simply bool.

Change History (3)

comment:1 Changed on Mar 30, 2012 at 2:08:22 PM by Gedare Bloom

Cc: gedare@… petben@… added

comment:2 Changed on Apr 13, 2012 at 6:21:53 AM by Sebastian Huber

Resolution: fixed
Status: newclosed
Version: 4.10HEAD

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.